%define version 3.1.2
%define realver %(echo %version|sed -e 's#\\.#_#g')

Summary:	Tool to transform SFF files to BMP
Name:		sfftobmp
Version:	%version
Release:	%mkrel 3
License:	MIT
Group:		Communications
URL:		http://sfftools.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/sfftools/%{name}/%{name}_%{realver}/%{name}%{realver}_src.zip
Patch0:		sfftobmp-3.1.1-gcc44-and-boost-1_37.patch
BuildRequires:	boost-devel
BuildRequires:	libtiff-devel
BuildRequires:	jpeg-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SffToBmp is a converter tool, written in C++, to transform SFF files to BMP,
JPEG or multipage TIFF format.
In addition generation of PBM files (Portable Bitmap) is also possible which
can be transformed into nearby any other graphics format using the PBMPLUS
tools that are included in almost every Linux distribution nowadays.

%prep
%setup -q -n %{name}%{realver}
%patch0 -p1

%build
%configure2_5x
%make 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/%{name}




%changelog
* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 3.1.2-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 3.1.2-2mdv2010.1
+ Revision: 500333
- rebuild for new boost

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2010.0
+ Revision: 418843
- New version 3.1.2

* Thu Mar 26 2009 Funda Wang <fwang@mandriva.org> 3.1-5mdv2009.1
+ Revision: 361282
- rebuild for new boost

* Mon Dec 22 2008 Funda Wang <fwang@mandriva.org> 3.1-4mdv2009.1
+ Revision: 317405
- rebuild for new boost

* Wed Sep 24 2008 Adam Williamson <awilliamson@mandriva.org> 3.1-3mdv2009.0
+ Revision: 287870
- just use autoreconf don't mess around doing it manually
- rebuild against new boost
- drop unnecessary autofoo buildrequires
- add gcc43.patch (fix build with GCC 4.3, has been sent to author)
- drop errno.diff (was merged upstream in 3.1, but our patch still applied, so
  the include was duplicated)
- drop release to 3 (last release that actually built was 2)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 26 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1-2mdv2008.1
+ Revision: 112119
- rebuilt against new boost major


* Mon Feb 05 2007 Oden Eriksson <oeriksson@mandriva.com> 3.1-1mdv2007.0
+ Revision: 116281
- 3.1
- bunzip patches
- Import sfftobmp

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 3.0-2mdk
- rebuild

* Wed Dec 01 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.0-1mdk
- 3.0
- fix deps and spec file
- added a different P0

* Fri Apr 30 2004 Steffen Barszus <st_barszus@gmx.de> 2.2-1mdk
- initial rpm for mandrake

